Skip to main content
POST

Authorizations

x-client-id
string
header
required

Client app ID. You can find your app id in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret in the Merchant Dashboard.

Headers

x-api-version
string
default:2023-08-01
required

API version to be used

x-request-id
string

Request id for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to cashfree

x-idempotency-key
string<UUID>

An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.

Body

application/json

Request body to create a subscription payment.

The request to be passed for the create subscription payment API.

subscription_id
string
required

A unique ID passed by merchant for identifying the subscription.

payment_id
string
required

A unique ID passed by merchant for identifying the subscription payment.

payment_type
string
required

Payment type. Can be AUTH or CHARGE.

subscription_session_id
string

Session ID for the subscription. Required only for Auth.

payment_amount
number<float64>

The charge amount of the payment. Required in case of charge.

payment_schedule_date
string

The date on which the payment is scheduled to be processed. Required for UPI and CARD payment modes.

payment_remarks
string

Payment remarks.

payment_method
RequestUpi · object

payment method upi.

Example:

Response

response of created payment.

The response returned is Create Subscription Auth or Charge APIs.

cf_payment_id
string

Cashfree subscription payment reference number

failure_details
object
payment_amount
number<float64>

The charge amount of the payment.

payment_id
string

A unique ID passed by merchant for identifying the transaction.

payment_initiated_date
string

The date on which the payment was initiated.

payment_status
string

Status of the payment.

payment_type
string

Payment type. Can be AUTH or CHARGE.

Example:

"CHARGE"

subscription_id
string

A unique ID passed by merchant for identifying the subscription.

data
object

Contains a payload for auth app links in case of AUTH. For charge, the payload is empty.

payment_method
string

Payment method used for the authorization.